org.apache.nutch.util.domain

## Class DomainStatistics.DomainStatisticsMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<K1,V1,K2,V2>
  - - org.apache.gora.mapreduce.GoraMapper<String,WebPage,Text,LongWritable>
    - - org.apache.nutch.util.domain.DomainStatistics.DomainStatisticsMapper

- Enclosing class:
    DomainStatistics

      public static class DomainStatistics.DomainStatisticsMapper
      extends org.apache.gora.mapreduce.GoraMapper<String,WebPage,Text,LongWritable>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainStatistics.DomainStatisticsMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `map(String key, WebPage value, Mapper.Context context)`
    `void` | `setup(Mapper.Context context)`

    - ### Methods inherited from class org.apache.gora.mapreduce.GoraMapper

      `initMapperJob, initMapperJob, initMapperJob, initMapperJob, initMapperJob`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainStatistics.DomainStatisticsMapper

          public DomainStatistics.DomainStatisticsMapper()

  - ### Method Detail

    - #### setup

          public void setup(Mapper.Context context)

      Overrides:
        `setup` in class `Mapper<String,WebPage,Text,LongWritable>`

    - #### close

          public void close()

    - #### map

          protected void map(String key,
                 WebPage value,
                 Mapper.Context context)
                      throws IOException,
                             InterruptedException

      Overrides:
        `map` in class `Mapper<String,WebPage,Text,LongWritable>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2015 The Apache Software Foundation